homebrew macvim与python2.7.3支持无法正常工作

我用自制软件安装了mac vim,支持 python.我的咒语如下:

brew install macvim --override-system-vim

现在当我打开一个python文件时,如果我尝试导入任何东西,我会收到一系列错误.例如如果我导入re我看到ImportError:没有模块名称重新.

我第一次在安装后打开macvim,导致’import site’失败;在我打开macvim的终端中使用-v进行回溯.这是在运行我的第一个python命令之后.

这是什么意思,我该如何解决?

我得到了一个快速的黑客工作,你暂时将系统python指向你喜欢的python:

cd /System/Library/Frameworks/Python.framework/Versions
sudo mv Current Current-sys
sudo mv 2.7 2.7-sys
sudo ln -s /usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7 Current
sudo ln -s /usr/local/Cellar/python/2.7.9/Frameworks/Python.framework/Versions/2.7 2.7

brew rm macvim # optionall, only if you had it installed previously  
brew install macvim --override-system-vim

sudo mv Current-sys Current
sudo mv 2.7-sys 2.7
相关文章
相关标签/搜索